package cc.smtweb.biz.mztb.web.domian;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2023-12-19 11:07:15
 * 实体【[业务信息](PRE_BUSINESS_INFO)】的Entity类
 */
public class PreBusinessInfo extends DefaultEntity {
    public static final String ENTITY_NAME = "PRE_BUSINESS_INFO";

    public PreBusinessInfo() {
        super(ENTITY_NAME);
    }

    /** 主键 */
    public long getId() {
        return getLong("bi_id");
    }

    /** 主键 */
    public void setId(long bi_id) {
        put("bi_id", bi_id);
    }

    /** 填报主表ID */
    public long getFoId() {
        return getLong("bi_fo_id");
    }

    /** 填报主表ID */
    public void setFoId(long bi_fo_id) {
        put("bi_fo_id", bi_fo_id);
    }
    /** 类型 */
    public String getType() {
        return getStr("bi_type");
    }

    /** 类型 */
    public void setType(String bi_type) {
        put("bi_type", bi_type);
    }
    /** 性质 */
    public String getProperty() {
        return getStr("bi_property");
    }

    /** 性质 */
    public void setProperty(String bi_property) {
        put("bi_property", bi_property);
    }
    /** 兴办主体 */
    public String getInitiate() {
        return getStr("bi_initiate");
    }

    /** 兴办主体 */
    public void setInitiate(String bi_initiate) {
        put("bi_initiate", bi_initiate);
    }
    /** 是否为所有权、经营权分离办公养老机构 */
    public int getIsolate() {
        return getInt("bi_isolate");
    }

    /** 是否为所有权、经营权分离办公养老机构 */
    public void setIsolate(int bi_isolate) {
        put("bi_isolate", bi_isolate);
    }
    /** 医疗机构执业许可证登记号 */
    public String getMedicalCard() {
        return getStr("bi_medical_card");
    }

    /** 医疗机构执业许可证登记号 */
    public void setMedicalCard(String bi_medical_card) {
        put("bi_medical_card", bi_medical_card);
    }
    /** 医疗保险定点医疗机构资格证书编码 */
    public String getMedicalCode() {
        return getStr("bi_medical_code");
    }

    /** 医疗保险定点医疗机构资格证书编码 */
    public void setMedicalCode(String bi_medical_code) {
        put("bi_medical_code", bi_medical_code);
    }
    /** 单位所在地区行政区划代码 */
    public String getUnitAddressAreaCode() {
        return getStr("bi_unit_address_area_code");
    }

    /** 单位所在地区行政区划代码 */
    public void setUnitAddressAreaCode(String bi_unit_address_area_code) {
        put("bi_unit_address_area_code", bi_unit_address_area_code);
    }
    /** 邮编 */
    public String getPostcode() {
        return getStr("bi_postcode");
    }

    /** 邮编 */
    public void setPostcode(String bi_postcode) {
        put("bi_postcode", bi_postcode);
    }
    /** 年末职工人数 */
    public int getYearEndEmployeeNumber() {
        return getInt("bi_year_end_employee_number");
    }

    /** 年末职工人数 */
    public void setYearEndEmployeeNumber(int bi_year_end_employee_number) {
        put("bi_year_end_employee_number", bi_year_end_employee_number);
    }
    /** 年末职工人数（女） */
    public int getYearEndEmpMiss() {
        return getInt("bi_year_end_emp_miss");
    }

    /** 年末职工人数（女） */
    public void setYearEndEmpMiss(int bi_year_end_emp_miss) {
        put("bi_year_end_emp_miss", bi_year_end_emp_miss);
    }
    /** 年末职工人数（男） */
    public int getYearEndEmpMan() {
        return getInt("bi_year_end_emp_man");
    }

    /** 年末职工人数（男） */
    public void setYearEndEmpMan(int bi_year_end_emp_man) {
        put("bi_year_end_emp_man", bi_year_end_emp_man);
    }
    /** 年末职工人数（医护人员） */
    public int getYearEndMedic() {
        return getInt("bi_year_end_medic");
    }

    /** 年末职工人数（医护人员） */
    public void setYearEndMedic(int bi_year_end_medic) {
        put("bi_year_end_medic", bi_year_end_medic);
    }
    /** 大学专科人数 */
    public int getYearEndZk() {
        return getInt("bi_year_end_zk");
    }

    /** 大学专科人数 */
    public void setYearEndZk(int bi_year_end_zk) {
        put("bi_year_end_zk", bi_year_end_zk);
    }
    /** 大学本科及以上人数 */
    public int getYearEndBk() {
        return getInt("bi_year_end_bk");
    }

    /** 大学本科及以上人数 */
    public void setYearEndBk(int bi_year_end_bk) {
        put("bi_year_end_bk", bi_year_end_bk);
    }
    /** 助理社会工作师人数 */
    public int getAssistant() {
        return getInt("bi_assistant");
    }

    /** 助理社会工作师人数 */
    public void setAssistant(int bi_assistant) {
        put("bi_assistant", bi_assistant);
    }
    /** 社会工作师人数 */
    public int getEngineer() {
        return getInt("bi_engineer");
    }

    /** 社会工作师人数 */
    public void setEngineer(int bi_engineer) {
        put("bi_engineer", bi_engineer);
    }
    /** 35岁及以下人数 */
    public int getThirtyFive() {
        return getInt("bi_thirty_five");
    }

    /** 35岁及以下人数 */
    public void setThirtyFive(int bi_thirty_five) {
        put("bi_thirty_five", bi_thirty_five);
    }
    /** 36-45岁人数 */
    public int getFortyFive() {
        return getInt("bi_forty_five");
    }

    /** 36-45岁人数 */
    public void setFortyFive(int bi_forty_five) {
        put("bi_forty_five", bi_forty_five);
    }
    /** 46-55岁人数 */
    public int getFiftyFive() {
        return getInt("bi_fifty_five");
    }

    /** 46-55岁人数 */
    public void setFiftyFive(int bi_fifty_five) {
        put("bi_fifty_five", bi_fifty_five);
    }
    /** 56岁以上人数 */
    public int getFiftyFiveAbove() {
        return getInt("bi_fifty_five_above");
    }

    /** 56岁以上人数 */
    public void setFiftyFiveAbove(int bi_fifty_five_above) {
        put("bi_fifty_five_above", bi_fifty_five_above);
    }
    /** 机构管理人员—专业技术技能人员 */
    public int getPartyManageSp() {
        return getInt("bi_party_manage_sp");
    }

    /** 机构管理人员—专业技术技能人员 */
    public void setPartyManageSp(int bi_party_manage_sp) {
        put("bi_party_manage_sp", bi_party_manage_sp);
    }
    /** 专业技术技能人员—养老护理员 */
    public int getSpNursingAssistant() {
        return getInt("bi_sp_nursing_assistant");
    }

    /** 专业技术技能人员—养老护理员 */
    public void setSpNursingAssistant(int bi_sp_nursing_assistant) {
        put("bi_sp_nursing_assistant", bi_sp_nursing_assistant);
    }
    /** 执行会计制度 */
    public String getExecuteRegimen() {
        return getStr("bi_execute_regimen");
    }

    /** 执行会计制度 */
    public void setExecuteRegimen(String bi_execute_regimen) {
        put("bi_execute_regimen", bi_execute_regimen);
    }

    /** 专业技术技能人员—总计 */
    public int getPartymanage() {
        return getInt("bi_party_manage");
    }

    /** 专业技术技能人员—总计 */
    public void setPartyManage(int bi_party_manage) {
        put("bi_party_manage", bi_party_manage);
    }
}
